List suppressed addresses
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/suppressions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/suppressions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"address": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"scope": "platform",
"releasable": true,
"tenant_id": "<string>",
"detail": "<string>"
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Suppressions
List suppressed addresses
The addresses no email goes to, newest first: your organization’s own (after a complaint or an unsubscribe), and every address suppressed for all organizations because mail to it hard-bounced. Another organization’s own suppressions are never listed. Every send checks this list first; see Send an email. Needs read on Communications.
GET
/
api
/
communications
/
suppressions
List suppressed addresses
curl --request GET \
--url https://{organization}.rescueconsole.com/api/communications/suppressions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/communications/suppressions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/communications/suppressions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"address": "<string>",
"reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"scope": "platform",
"releasable": true,
"tenant_id": "<string>",
"detail": "<string>"
}
],
"limit": 123,
"offset": 123,
"has_more": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Query Parameters
How many to return. 25 unless you say, 100 at most.
Required range:
1 <= x <= 100How many to skip, for the next page.
Required range:
x >= 0